set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)
clear *

L = 1; N=100; x = linspace(0,L,N); sig = L/20;
dx = L/N; c=exp(-((x-L/2).^2)/(2*sig^2));

% define a table which refers to the 'inner points'
% rhs points and lhs points
in = 1:N; rhs = in+1; lhs=in-1; rhs(N)=1; lhs(1)=N;

tic
dcdx = (c(rhs)-c(lhs))/(2*dx);
toc

figure(1), clf
plot(x, dcdx, 'o-')